summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2017-10-29 18:39:39 +0100
committerThomas Deutschmann <whissi@gentoo.org>2017-10-29 18:42:14 +0100
commit11af7de2cc8e6ff58ed74e58709a91a630bb4dc1 (patch)
treea96536b8c7113bbac2fa86107cfc3d2977054ed0
parentnet-misc/freerdp: stable 2.0.0_rc0 for ppc/ppc64, bug #635452 (diff)
downloadgentoo-11af7de2cc8e6ff58ed74e58709a91a630bb4dc1.tar.gz
gentoo-11af7de2cc8e6ff58ed74e58709a91a630bb4dc1.tar.bz2
gentoo-11af7de2cc8e6ff58ed74e58709a91a630bb4dc1.zip
media-gfx/icoutils: Bump to v0.32.0
Thanks to Marty Plummer for the musl build fix (bug #631360). Closes: https://github.com/gentoo/gentoo/pull/5393 Fixes: https://bugs.gentoo.org/631360 Bug: https://bugs.gentoo.org/605138 Closes: https://bugs.gentoo.org/635814 Package-Manager: Portage-2.3.13, Repoman-2.3.4
-rw-r--r--media-gfx/icoutils/Manifest1
-rw-r--r--media-gfx/icoutils/icoutils-0.32.0.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/media-gfx/icoutils/Manifest b/media-gfx/icoutils/Manifest
index 7cee54aabe6..ffc07bb61af 100644
--- a/media-gfx/icoutils/Manifest
+++ b/media-gfx/icoutils/Manifest
@@ -1,3 +1,4 @@
DIST icoutils-0.31.0.tar.bz2 559836 SHA256 a895d9d74a418d65d39a667e58ae38be79c9e726711384551d36531696f3af71 SHA512 f6ee954784abd9f6cf1f6a2424b89e917de2e3950a5411c6790f1a7a34522e067308677ab00bd34781d179fde1192ec91dcd400207edb09bdb20d503507b5cca WHIRLPOOL 92a3905315973ed016bb2000881d5c39f7306c792feaed302bf183d62056217a9aa76e90dc25a44ffb43434053f3c5ced90e100bd59c284a26fa14b7ffbe0b4a
DIST icoutils-0.31.1.tar.bz2 573484 SHA256 26e29d3c78f25d4cdf402501ac0414c51a9a092daebf6c9dee3b837dee693093 SHA512 47fe41429cee73b6aff90e2b385b621314700dedfe09989318e439b19a484d806a9428652008be2db70598ba1337e860fba30b6d8104525f9e0bcbb4dc61dc56 WHIRLPOOL 893fbbf7f4dd1ebb06c14d22baf0ac1c126941688ac451b4976e1d0d505056714361f8ab99e2c8f080e20b0d1a8670e375cc2f663ab2bb8861e0af1152fb7504
DIST icoutils-0.31.3.tar.bz2 593403 SHA256 d4651de8e3f9e28d24b5343a2b7564f49754e5fe7d211c5d4dd60dcd65c8a152 SHA512 3c25dfff0d947ad4688e57871888b7d03ecc1d5aaf2dd957bbfd5d034cbde03238a03446a719b637d2f0c309af424359435d98bddfbdf1ea9d4c08bb23f154d8 WHIRLPOOL 4c0d34484d956f8817b25ed87e36d868ad35ec74d49ad02b4503c3029ab0253b8bbf38b5687f965fe609b4e6d42a1be1da8debe2f8ec5e168136fe7833e341ab
+DIST icoutils-0.32.0.tar.bz2 593699 SHA256 17234d6e922f5dcd2dc8351a4b3535a2f348bb9b92c17ca3e438132147019ca6 SHA512 35fb584611edefe4445784e61e9cc10bdc039fc4106b7dca7faf66ca1a252ad6dc6e3511b4a5aba744ba74b51315a757addce2f8d5b20a1d7e38886e3eecd878 WHIRLPOOL 2d19d75271c0cd4abae9d80671e8422f33a8e95c4252323292c8d89eaebd1a3442e2f37c680a2068b5a740b77003fb8479c00f6d21647b6116ae8f31577ff46e
diff --git a/media-gfx/icoutils/icoutils-0.32.0.ebuild b/media-gfx/icoutils/icoutils-0.32.0.ebuild
new file mode 100644
index 00000000000..916e4cc663d
--- /dev/null
+++ b/media-gfx/icoutils/icoutils-0.32.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+inherit autotools flag-o-matic
+
+DESCRIPTION="Tools to extract and convert images in icon and cursor files (.ico, .cur)"
+HOMEPAGE="http://www.nongnu.org/icoutils/"
+SRC_URI="mirror://nongnu/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="nls"
+
+RDEPEND="
+ >=dev-lang/perl-5.6
+ >=dev-perl/libwww-perl-5.64
+ media-libs/libpng:0
+ sys-libs/zlib
+ nls? ( virtual/libintl )
+"
+DEPEND="
+ ${RDEPEND}
+ nls? ( sys-devel/gettext )
+"
+
+DOCS=( AUTHORS ChangeLog NEWS README TODO )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.29.1-{locale,gettext}.patch
+)
+
+src_prepare() {
+ default
+ rm m4/po.m4* || die
+ cp /usr/share/aclocal/po.m4 m4/
+ AT_M4DIR=m4 eautoreconf
+}
+
+src_configure() {
+ use !elibc_glibc && use !elibc_musl && use nls && append-libs -lintl
+ econf $(use_enable nls)
+}
+
+src_install() {
+ emake DESTDIR="${D}" mkinstalldirs="mkdir -p" install
+ einstalldocs
+}